<template>
  <div @click="showProfile = true" id="card">
    <v-card height="8vh" id="person">
      <v-container>
        <v-row>
          <v-col cols="2">
            <v-avatar>
              <v-img class=".rounded-circle" :src="image"></v-img>
            </v-avatar>
          </v-col>
          <v-col class="mt-3" cols="4">
            <v-row>
              <h4>{{ person.firstName }} {{ person.lastName }}</h4>
            </v-row>
            <v-row>{{ person.id }} </v-row>
          </v-col>
          <v-col v-if="person.predict_probability" align="end" class="mt-2">
            <h2 id="predict">
              {{
                Math.round(
                  (person.predict_probability + Number.EPSILON) * 100
                )
              }}%
            </h2>
          </v-col>
        </v-row>
      </v-container>
    </v-card>
    <v-dialog
      v-model="this.showProfile"
      @click:outside="showProfile = false"
      width="70vw"
    >
      <v-card id="dialog" width="70vw">
        <v-btn icon class="mt-5 mr-5" @click="showProfile = false">
          <v-icon>mdi-close</v-icon>
        </v-btn>
        <ProfilePage :id="person.id" />
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
const defaultImg =
  "https://eitrawmaterials.eu/wp-content/uploads/2016/09/empty-avatar.jpg";
import ProfilePage from "./ProfilePage";

export default {
  name: "personCard",
  components: {
    ProfilePage
  },
  data() {
    return {
      showProfile: false
    };
  },
  props: {
    person: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      let img = this.person.img;

      if (!img) {
        img = defaultImg;
      }

      return img;
    }
  }
};
</script>

<style scoped>
#card {
  margin-top: 1vh;
  margin-bottom: 1vh;
}
#person {
  background-color: #a7c4bcc4;
}
h4 {
  color: rgba(0, 0, 0, 0.623);
}
#dialog {
  background-color: #dfeeea;
  opacity: 0.95;
}

#predict {
  color: #b58dc2
}
</style>
